> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aicoflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Flow Clips



## OpenAPI

````yaml /api/openapi.json post /api/flows/{flowId}/clips
openapi: 3.1.0
info:
  title: AICO API
  description: API for managing AI-powered voice agents, flows, tools, telephony, and more.
  version: 1.0.0
servers: []
security:
  - bearer: []
tags:
  - name: API Keys
  - name: Admin
  - name: Assets
  - name: Audit
  - name: Billing
  - name: Brain
  - name: Calls
  - name: Channels
  - name: Datasets
  - name: Flows
  - name: Inference
  - name: Integrations
  - name: Knowledge
  - name: LLM
  - name: Monitoring
  - name: Notifications
  - name: Organizations
  - name: Plugins
  - name: Providers
  - name: Reporting
  - name: System
  - name: Telephony
  - name: Tools
  - name: Web
  - name: _hello
paths:
  /api/flows/{flowId}/clips:
    post:
      tags:
        - Flows
      summary: Create Flow Clips
      operationId: create_flow_clips
      parameters:
        - schema:
            type: string
          in: path
          name: flowId
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - file
                - clipId
                - capturedAt
              properties:
                file:
                  default: File
                  type: string
                  format: binary
                clipId:
                  type: string
                capturedAt:
                  type: string
                durationMs:
                  type: string
          multipart/form-data:
            schema:
              type: object
              required:
                - file
                - clipId
                - capturedAt
              properties:
                file:
                  default: File
                  type: string
                  format: binary
                clipId:
                  type: string
                capturedAt:
                  type: string
                durationMs:
                  type: string
          text/plain:
            schema:
              type: object
              required:
                - file
                - clipId
                - capturedAt
              properties:
                file:
                  default: File
                  type: string
                  format: binary
                clipId:
                  type: string
                capturedAt:
                  type: string
                durationMs:
                  type: string
      responses:
        '200':
          description: Successful response
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Logto JWT access token

````